Loading...
Searching...
No Matches
connect_options.h File Reference
`#include <chrono>`
`#include <map>`
`#include <vector>`
`#include "MQTTAsync.h"`
`#include "mqtt/message.h"`
`#include "mqtt/platform.h"`
`#include "mqtt/ssl_options.h"`
`#include "mqtt/string_collection.h"`
`#include "mqtt/token.h"`
`#include "mqtt/topic.h"`
`#include "mqtt/types.h"`
`#include "mqtt/will_options.h"`

Go to the source code of this file.

## Data Structures

class | mqtt::connect_options
class | mqtt::connect_data
class | mqtt::connect_options_builder

## Namespaces

namespace | mqtt

## Typedefs

using | mqtt::connect_options_ptr = connect_options::ptr_t

## Detailed Description

Declaration of MQTT connect_options class

Date
  May 1, 2013

Author
  Frank Pagliughi